Package: org.codehaus.groovy.util

## [Java] Class TripleKeyHashMap

- org.codehaus.groovy.util.TripleKeyHashMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `TripleKeyHashMap.Entry` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexKeyHashMap` | `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)`
    `` | `TripleKeyHashMap.Entry` | `createEntry()`
    `` | `Object` | `get(Object key1, Object key2, Object key3)`
    `` | `TripleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2, Object key3)`
    `` | `Entry` | `remove(Object key1, Object key2, Object key3)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexKeyHashMap` | `ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public boolean checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)

    - #### public TripleKeyHashMap.Entry createEntry()

    - #### public final Object get(Object key1, Object key2, Object key3)

    - #### public TripleKeyHashMap.Entry getOrPut(Object key1, Object key2, Object key3)

    - #### public final Entry remove(Object key1, Object key2, Object key3)